dudley::ElementFile_Jacobians Struct Reference

`#include <ElementFile.h>`

## Public Member Functions

| ElementFile_Jacobians ()
| ~ElementFile_Jacobians ()

## Public Attributes

int | status
| status of mesh when jacobians were updated last time More...
int | numDim
| number of spatial dimensions More...
int | numQuad
| number of quadrature nodes used to calculate jacobians More...
int | numShapes
| number of shape functions More...
dim_t | numElements
| number of elements More...
double * | absD
| used to compute volume More...
double | quadweight
| used to compute volume More...
double * | DSDX

## Constructor & Destructor Documentation

## ElementFile_Jacobians()

dudley::ElementFile_Jacobians::ElementFile_Jacobians | ( |  | ) |

## ~ElementFile_Jacobians()

dudley::ElementFile_Jacobians::~ElementFile_Jacobians | ( |  | ) |

References absD, and DSDX.

## Member Data Documentation

## absD

double* dudley::ElementFile_Jacobians::absD

used to compute volume

Referenced by dudley::Assemble_integrate(), dudley::Assemble_LumpedSystem(), dudley::Assemble_PDE_Single_2D(), dudley::Assemble_PDE_Single_3D(), dudley::Assemble_PDE_System_2D(), dudley::Assemble_PDE_System_3D(), dudley::ElementFile::borrowJacobians(), and ~ElementFile_Jacobians().

## DSDX

double* dudley::ElementFile_Jacobians::DSDX

derivatives of shape functions in global coordinates at quadrature points

Referenced by dudley::Assemble_gradient(), dudley::Assemble_PDE_Single_2D(), dudley::Assemble_PDE_Single_3D(), dudley::Assemble_PDE_System_2D(), dudley::Assemble_PDE_System_3D(), dudley::ElementFile::borrowJacobians(), and ~ElementFile_Jacobians().

## numDim

int dudley::ElementFile_Jacobians::numDim

number of spatial dimensions

Referenced by dudley::Assemble_gradient(), dudley::AssembleParameters::AssembleParameters(), and dudley::ElementFile::borrowJacobians().

## numElements

dim_t dudley::ElementFile_Jacobians::numElements

number of elements

Referenced by dudley::AssembleParameters::AssembleParameters(), and dudley::ElementFile::borrowJacobians().

## numQuad

int dudley::ElementFile_Jacobians::numQuad

number of quadrature nodes used to calculate jacobians

Referenced by dudley::Assemble_gradient(), dudley::Assemble_integrate(), dudley::AssembleParameters::AssembleParameters(), and dudley::ElementFile::borrowJacobians().

## numShapes

int dudley::ElementFile_Jacobians::numShapes

number of shape functions

Referenced by dudley::Assemble_gradient(), dudley::AssembleParameters::AssembleParameters(), and dudley::ElementFile::borrowJacobians().

## quadweight

double dudley::ElementFile_Jacobians::quadweight

used to compute volume

Referenced by dudley::Assemble_integrate(), dudley::Assemble_LumpedSystem(), dudley::Assemble_PDE_Single_2D(), dudley::Assemble_PDE_Single_3D(), dudley::Assemble_PDE_System_2D(), dudley::Assemble_PDE_System_3D(), and dudley::ElementFile::borrowJacobians().

## status

int dudley::ElementFile_Jacobians::status

status of mesh when jacobians were updated last time

Referenced by dudley::ElementFile::borrowJacobians().

The documentation for this struct was generated from the following files:

- dudley/src/ElementFile.h
- dudley/src/ElementFile_jacobians.cpp